﻿jQuery(document).ready(function () { 
    $("#PersonControlEmployee_FirstName").bind("propertychange keyup input paste", setButtonState);
    $("#PersonControlEmployee_LastName").bind("propertychange keyup input paste", setButtonState);
    $("#BirthDate").change(setButtonState);
    setButtonState();
});

var setButtonState = function () {
    if (!areValuesPopulated())
        $("#PersonControlEmployee_SubmitPerson").attr("disabled", "disabled");
    else
        $("#PersonControlEmployee_SubmitPerson").removeAttr("disabled");
}

var areValuesPopulated = function () {
    return $("#PersonControlEmployee_FirstName").val() != ""
         && $("#PersonControlEmployee_LastName").val() != ""
         && $("#BirthDate").datepicker().val() != "";
}